<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxCircleLayout (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxCircleLayout (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxCircleLayout.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">import hk.quantr.mxgraph.layout</a></div>
<h2 title="Class mxCircleLayout" class="title">Class mxCircleLayout</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="mxGraphLayout.html" title="class in import hk.quantr.mxgraph.layout">import hk.quantr.mxgraph.layout.mxGraphLayout</a></li>
<li>
<ul class="inheritance">
<li>import hk.quantr.mxgraph.layout.mxCircleLayout</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="mxIGraphLayout.html" title="interface in import hk.quantr.mxgraph.layout">mxIGraphLayout</a></code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">mxCircleLayout</span>
extends <a href="mxGraphLayout.html" title="class in import hk.quantr.mxgraph.layout">mxGraphLayout</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#disableEdgeStyle">disableEdgeStyle</a></span></code></th>
<td class="colLast">
<div class="block">Specifies if the STYLE_NOEDGESTYLE flag should be set on edges that are
 modified by the result.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#moveCircle">moveCircle</a></span></code></th>
<td class="colLast">
<div class="block">Boolean specifying if the circle should be moved to the top,
 left corner specified by x0 and y0.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#radius">radius</a></span></code></th>
<td class="colLast">
<div class="block">Integer specifying the size of the radius.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#resetEdges">resetEdges</a></span></code></th>
<td class="colLast">
<div class="block">Specifies if all edge points of traversed edges should be removed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#x0">x0</a></span></code></th>
<td class="colLast">
<div class="block">Integer specifying the left coordinate of the circle.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#y0">y0</a></span></code></th>
<td class="colLast">
<div class="block">Integer specifying the top coordinate of the circle.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.import hk.quantr.mxgraph.layout.mxGraphLayout">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;import hk.quantr.mxgraph.layout.<a href="mxGraphLayout.html" title="class in import hk.quantr.mxgraph.layout">mxGraphLayout</a></h3>
<code><a href="mxGraphLayout.html#graph">graph</a>, <a href="mxGraphLayout.html#parent">parent</a>, <a href="mxGraphLayout.html#useBoundingBox">useBoundingBox</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(import hk.quantr.mxgraph.view.mxGraph)">mxCircleLayout</a></span>&#8203;(<a href="../view/mxGraph.html" title="class in import hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph)</code></th>
<td class="colLast">
<div class="block">Constructs a new stack layout layout for the specified graph,
 spacing, orientation and offset.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(import hk.quantr.mxgraph.view.mxGraph,double)">mxCircleLayout</a></span>&#8203;(<a href="../view/mxGraph.html" title="class in import hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph,
              double&nbsp;radius)</code></th>
<td class="colLast">
<div class="block">Constructs a new stack layout layout for the specified graph,
 spacing, orientation and offset.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#circle(java.lang.Object%5B%5D,double,double,double)">circle</a></span>&#8203;(java.lang.Object[]&nbsp;vertices,
      double&nbsp;r,
      double&nbsp;left,
      double&nbsp;top)</code></th>
<td class="colLast">
<div class="block">Executes the circular layout for the specified array
 of vertices and the given radius.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#execute(java.lang.Object)">execute</a></span>&#8203;(java.lang.Object&nbsp;parent)</code></th>
<td class="colLast">
<div class="block">Executes the layout for the children of the specified parent.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getRadius()">getRadius</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getX0()">getX0</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getY0()">getY0</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isDisableEdgeStyle()">isDisableEdgeStyle</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isMoveCircle()">isMoveCircle</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isResetEdges()">isResetEdges</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDisableEdgeStyle(boolean)">setDisableEdgeStyle</a></span>&#8203;(boolean&nbsp;disableEdgeStyle)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setMoveCircle(boolean)">setMoveCircle</a></span>&#8203;(boolean&nbsp;moveCircle)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setRadius(double)">setRadius</a></span>&#8203;(double&nbsp;radius)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setResetEdges(boolean)">setResetEdges</a></span>&#8203;(boolean&nbsp;resetEdges)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setX0(double)">setX0</a></span>&#8203;(double&nbsp;x0)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setY0(double)">setY0</a></span>&#8203;(double&nbsp;y0)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.import hk.quantr.mxgraph.layout.mxGraphLayout">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;import hk.quantr.mxgraph.layout.<a href="mxGraphLayout.html" title="class in import hk.quantr.mxgraph.layout">mxGraphLayout</a></h3>
<code><a href="mxGraphLayout.html#arrangeGroups(java.lang.Object%5B%5D,int)">arrangeGroups</a>, <a href="mxGraphLayout.html#getConstraint(java.lang.Object,java.lang.Object)">getConstraint</a>, <a href="mxGraphLayout.html#getConstraint(java.lang.Object,java.lang.Object,java.lang.Object,boolean)">getConstraint</a>, <a href="mxGraphLayout.html#getGraph()">getGraph</a>, <a href="mxGraphLayout.html#getParentOffset(java.lang.Object)">getParentOffset</a>, <a href="mxGraphLayout.html#getVertexBounds(java.lang.Object)">getVertexBounds</a>, <a href="mxGraphLayout.html#isEdgeIgnored(java.lang.Object)">isEdgeIgnored</a>, <a href="mxGraphLayout.html#isUseBoundingBox()">isUseBoundingBox</a>, <a href="mxGraphLayout.html#isVertexIgnored(java.lang.Object)">isVertexIgnored</a>, <a href="mxGraphLayout.html#isVertexMovable(java.lang.Object)">isVertexMovable</a>, <a href="mxGraphLayout.html#moveCell(java.lang.Object,double,double)">moveCell</a>, <a href="mxGraphLayout.html#setEdgePoints(java.lang.Object,java.util.List)">setEdgePoints</a>, <a href="mxGraphLayout.html#setEdgeStyleEnabled(java.lang.Object,boolean)">setEdgeStyleEnabled</a>, <a href="mxGraphLayout.html#setOrthogonalEdge(java.lang.Object,boolean)">setOrthogonalEdge</a>, <a href="mxGraphLayout.html#setUseBoundingBox(boolean)">setUseBoundingBox</a>, <a href="mxGraphLayout.html#setVertexLocation(java.lang.Object,double,double)">setVertexLocation</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="radius">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>radius</h4>
<pre>protected&nbsp;double radius</pre>
<div class="block">Integer specifying the size of the radius. Default is 100.</div>
</li>
</ul>
<a id="moveCircle">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>moveCircle</h4>
<pre>protected&nbsp;boolean moveCircle</pre>
<div class="block">Boolean specifying if the circle should be moved to the top,
 left corner specified by x0 and y0. Default is false.</div>
</li>
</ul>
<a id="x0">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>x0</h4>
<pre>protected&nbsp;double x0</pre>
<div class="block">Integer specifying the left coordinate of the circle.
 Default is 0.</div>
</li>
</ul>
<a id="y0">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>y0</h4>
<pre>protected&nbsp;double y0</pre>
<div class="block">Integer specifying the top coordinate of the circle.
 Default is 0.</div>
</li>
</ul>
<a id="resetEdges">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>resetEdges</h4>
<pre>protected&nbsp;boolean resetEdges</pre>
<div class="block">Specifies if all edge points of traversed edges should be removed.
 Default is true.</div>
</li>
</ul>
<a id="disableEdgeStyle">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>disableEdgeStyle</h4>
<pre>protected&nbsp;boolean disableEdgeStyle</pre>
<div class="block">Specifies if the STYLE_NOEDGESTYLE flag should be set on edges that are
 modified by the result. Default is true.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(import hk.quantr.mxgraph.view.mxGraph)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mxCircleLayout</h4>
<pre>public&nbsp;mxCircleLayout&#8203;(<a href="../view/mxGraph.html" title="class in import hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph)</pre>
<div class="block">Constructs a new stack layout layout for the specified graph,
 spacing, orientation and offset.</div>
</li>
</ul>
<a id="&lt;init&gt;(import hk.quantr.mxgraph.view.mxGraph,double)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxCircleLayout</h4>
<pre>public&nbsp;mxCircleLayout&#8203;(<a href="../view/mxGraph.html" title="class in import hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph,
                      double&nbsp;radius)</pre>
<div class="block">Constructs a new stack layout layout for the specified graph,
 spacing, orientation and offset.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getRadius()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRadius</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getRadius()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the radius</dd>
</dl>
</li>
</ul>
<a id="setRadius(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRadius</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setRadius&#8203;(double&nbsp;radius)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>radius</code> - the radius to set</dd>
</dl>
</li>
</ul>
<a id="isMoveCircle()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isMoveCircle</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isMoveCircle()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the moveCircle</dd>
</dl>
</li>
</ul>
<a id="setMoveCircle(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMoveCircle</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setMoveCircle&#8203;(boolean&nbsp;moveCircle)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>moveCircle</code> - the moveCircle to set</dd>
</dl>
</li>
</ul>
<a id="getX0()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getX0</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getX0()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the x0</dd>
</dl>
</li>
</ul>
<a id="setX0(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setX0</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setX0&#8203;(double&nbsp;x0)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x0</code> - the x0 to set</dd>
</dl>
</li>
</ul>
<a id="getY0()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getY0</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getY0()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the y0</dd>
</dl>
</li>
</ul>
<a id="setY0(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setY0</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setY0&#8203;(double&nbsp;y0)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>y0</code> - the y0 to set</dd>
</dl>
</li>
</ul>
<a id="isResetEdges()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isResetEdges</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isResetEdges()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the resetEdges</dd>
</dl>
</li>
</ul>
<a id="setResetEdges(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setResetEdges</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setResetEdges&#8203;(boolean&nbsp;resetEdges)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>resetEdges</code> - the resetEdges to set</dd>
</dl>
</li>
</ul>
<a id="isDisableEdgeStyle()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isDisableEdgeStyle</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isDisableEdgeStyle()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the disableEdgeStyle</dd>
</dl>
</li>
</ul>
<a id="setDisableEdgeStyle(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDisableEdgeStyle</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setDisableEdgeStyle&#8203;(boolean&nbsp;disableEdgeStyle)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>disableEdgeStyle</code> - the disableEdgeStyle to set</dd>
</dl>
</li>
</ul>
<a id="execute(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>execute</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;execute&#8203;(java.lang.Object&nbsp;parent)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="mxIGraphLayout.html#execute(java.lang.Object)">mxIGraphLayout</a></code></span></div>
<div class="block">Executes the layout for the children of the specified parent.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="mxIGraphLayout.html#execute(java.lang.Object)">execute</a></code>&nbsp;in interface&nbsp;<code><a href="mxIGraphLayout.html" title="interface in import hk.quantr.mxgraph.layout">mxIGraphLayout</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="mxGraphLayout.html#execute(java.lang.Object)">execute</a></code>&nbsp;in class&nbsp;<code><a href="mxGraphLayout.html" title="class in import hk.quantr.mxgraph.layout">mxGraphLayout</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parent</code> - Parent cell that contains the children to be layed out.</dd>
</dl>
</li>
</ul>
<a id="circle(java.lang.Object[],double,double,double)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>circle</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;circle&#8203;(java.lang.Object[]&nbsp;vertices,
                   double&nbsp;r,
                   double&nbsp;left,
                   double&nbsp;top)</pre>
<div class="block">Executes the circular layout for the specified array
 of vertices and the given radius.</div>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxCircleLayout.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
